Page MenuHomePhabricator

Allow sysops to self-grant translation administrator on mediawikiwiki
Closed, ResolvedPublic

Description

As mentioned here:
https://www.mediawiki.org/wiki/Project:Requests/User_rights/Glaisher_2

If a user is trusted enough for Admin rights, he can be translateadmin, too, if he is sure he know, what he do.

Discussion at https://www.mediawiki.org/wiki/Thread:Project:Current_issues/Fwd:_Allow_sysops_to_self-grant_translation_administrator

Event Timeline

Florian created this task.Jan 28 2015, 9:12 PM
Florian raised the priority of this task from to Needs Triage.
Florian updated the task description. (Show Details)
Florian added a subscriber: Florian.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 28 2015, 9:12 PM
gerritbot added a subscriber: gerritbot.

Change 187183 had a related patch set uploaded (by Florianschmidtwelzow):
mediawikiwiki: Allow sysop to add and remove themself from translationadmin

https://gerrit.wikimedia.org/r/187183

Patch-For-Review

Florian claimed this task.Jan 28 2015, 9:21 PM
Aklapper renamed this task from Add translateion administrator to add and remove self for mediawikiwiki to Add translation administrator to add and remove self for mediawikiwiki.Jan 28 2015, 10:11 PM
Aklapper triaged this task as Normal priority.
Aklapper set Security to None.
devunt added a subscriber: devunt.Jan 29 2015, 4:24 AM
Nemo_bis renamed this task from Add translation administrator to add and remove self for mediawikiwiki to Allow sysops to self-grant translation administrator on mediawikiwiki.Feb 11 2015, 8:19 AM
Nemo_bis updated the task description. (Show Details)
Nemo_bis updated the task description. (Show Details)Feb 11 2015, 8:23 AM

Change 187183 merged by jenkins-bot:
mediawikiwiki: Allow sysop to add and remove themself from translationadmin

https://gerrit.wikimedia.org/r/187183

Glaisher closed this task as Resolved.Feb 18 2015, 4:24 PM